about summary refs log tree commit diff stats
path: root/test/layout/run_layout_tests.sh
diff options
context:
space:
mode:
authorbptato <nincsnevem662@gmail.com>2024-08-15 19:11:49 +0200
committerbptato <nincsnevem662@gmail.com>2024-08-15 19:23:55 +0200
commit4bf895db711f3d4d229d3f18fbb2145cce2a73af (patch)
tree2e81c7399de03aebb9dfa166eba6ee809a75cd2e /test/layout/run_layout_tests.sh
parent885a3493b6cad4b4247a200928fe61e41883aaba (diff)
downloadchawan-4bf895db711f3d4d229d3f18fbb2145cce2a73af.tar.gz
xhr: more progress
* add responseText, response
* add net tests
	-> currently sync XHR only; should find a way to do async
	   tests...
* update monoucha
	-> simplified & updated some related code that no longer worked
	   properly
Diffstat (limited to 'test/layout/run_layout_tests.sh')
-rwxr-xr-xtest/layout/run_layout_tests.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/test/layout/run_layout_tests.sh b/test/layout/run_layout_tests.sh
index 20b85ce1..429d2ba1 100755
--- a/test/layout/run_layout_tests.sh
+++ b/test/layout/run_layout_tests.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
-if test -z "$CHA_TEST_BIN"
-then	test -f ../../cha && CHA_TEST_BIN=../../cha || CHA_TEST_BIN=cha
+if test -z "$CHA"
+then	test -f ../../cha && CHA=../../cha || CHA=cha
 fi
 failed=0
 for h in *.html
@@ -8,12 +8,12 @@ do	printf '%s\r' "$h"
 	expected="$(basename "$h" .html).expected"
 	color_expected="$(basename "$h" .html).color.expected"
 	if test -f "$expected"
-	then	if ! "$CHA_TEST_BIN" -C config.toml "$h" | diff "$expected" -
+	then	if ! "$CHA" -C config.toml "$h" | diff "$expected" -
 		then	failed=$(($failed+1))
 			printf 'FAIL: %s\n' "$h"
 		fi
 	elif test -f "$color_expected"
-	then	if ! "$CHA_TEST_BIN" -C config.color.toml "$h" | diff "$color_expected" -
+	then	if ! "$CHA" -C config.color.toml "$h" | diff "$color_expected" -
 		then	failed=$(($failed+1))
 			printf 'FAIL: %s\n' "$h"
 		fi